%define upstream_name Linux-Sysfs
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Perl interface to libsysfs
License:	LGPLv2+
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	libsysfs-devel


%description
This module implements an interface to the kernel's sysfs
filesystem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_bindir}/systool.pl
%{perl_vendorarch}/Linux
%{perl_vendorarch}/auto/Linux
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-12.mga6
+ Revision: 1029171
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-11.mga6
+ Revision: 957661
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.30.0-10.mga6
+ Revision: 842735
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-9.mga5
+ Revision: 742987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-8.mga5
+ Revision: 685233
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-7.mga5
+ Revision: 631377
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-6.mga4
+ Revision: 524409
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-5.mga4
+ Revision: 430869
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-4.mga3
+ Revision: 369122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 jquelin <jquelin> 0.30.0-3.mga3
+ Revision: 252150
- fix url

* Sun Jun 12 2011 sander85 <sander85> 0.30.0-3.mga2
+ Revision: 104760
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 30718
- mageia rebuild
- imported package perl-Linux-Sysfs


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-2mdv2011.0
+ Revision: 555999
- rebuild for perl 5.12

* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404046
- rebuild using %%perl_convert_version

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.03-1mdv2009.1
+ Revision: 339253
- add source and spec files
- create perl-Linux-Sysfs

